from ModelSwarm import *
import pandas as pd
import matplotlib.pyplot as plt

nFirms = 1000#eval(input("How many firms?"))
nHouseholds = 100000#eval(input("How many households?"))
nCycles = 200#eval(input("How many cycles?"))

modelSwarm = ModelSwarm(nFirms, nHouseholds, nCycles)

# descrive parametri iniziali del modell9
modelSwarm.describeModel()

# crea agenti
modelSwarm.buildObjects()

# run
observerDict = modelSwarm.run()

df = pd.DataFrame(observerDict)
df['Employment rate'] = df.nWorkers.astype(float) / (df.nWorkers + df.nNotWorkers)
df['Unmployment rate'] = df.nNotWorkers.astype(float) / (df.nWorkers + df.nNotWorkers)
df.set_index('time', inplace=True, drop=True)

df[['nFirms','Employment rate','Unmployment rate','marketPrice','newFirms','percDeficit']].plot(subplots=True)
plt.show()

print("\nSimulation stopped after", nCycles, "cycles")